body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    font-family: roboto;
    font-size: 40px;
    /* border: 4px solid #5500FF; */
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    background: #5500FF;
    border-radius: 5px;
    
}

a span{
    position: relative;
    right: 0;
    transition: all 0.4s;
}

a:hover span{
    right: 4px;
}

a::before{
    content: '»';
    position: absolute;
    width: auto;
    height: 100%;
    right: -10px;
    top: 2px;
    font-size: 50px;
    transition: all 0.4s;
    opacity: 0;
}

a:hover::before{
    right: 4px;
    opacity: 1;
}